### Signal

# Vips Image::written

#### Declaration

    void
    written (
      VipsImage* self,
      gint* result,
      gpointer user_data
    )

#### Description [src]

This signal is emitted just after an image has been written to. It is used by vips to implement things like write to foreign file formats.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`result`

  Type: `gint*`

  Set to non-zero to indicate error.

  The argument will be set by the function.